Upstream information

CVE-2022-37032 at MITRE

Description

An out-of-bounds read in the BGP daemon of FRRouting FRR before 8.4 may lead to a segmentation fault and denial of service. This occurs in bgp_capability_msg_parse in bgpd/bgp_packet.c.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.1 7.1
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1202023 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Server Applications 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • frr >= 7.4-150300.4.7.1
  • frr-devel >= 7.4-150300.4.7.1
  • libfrr0 >= 7.4-150300.4.7.1
  • libfrr_pb0 >= 7.4-150300.4.7.1
  • libfrrcares0 >= 7.4-150300.4.7.1
  • libfrrfpm_pb0 >= 7.4-150300.4.7.1
  • libfrrgrpc_pb0 >= 7.4-150300.4.7.1
  • libfrrospfapiclient0 >= 7.4-150300.4.7.1
  • libfrrsnmp0 >= 7.4-150300.4.7.1
  • libfrrzmq0 >= 7.4-150300.4.7.1
  • libmlag_pb0 >= 7.4-150300.4.7.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP3-2022-3246
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Server Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • frr >= 7.4-150300.4.7.1
  • frr-devel >= 7.4-150300.4.7.1
  • libfrr0 >= 7.4-150300.4.7.1
  • libfrr_pb0 >= 7.4-150300.4.7.1
  • libfrrcares0 >= 7.4-150300.4.7.1
  • libfrrfpm_pb0 >= 7.4-150300.4.7.1
  • libfrrgrpc_pb0 >= 7.4-150300.4.7.1
  • libfrrospfapiclient0 >= 7.4-150300.4.7.1
  • libfrrsnmp0 >= 7.4-150300.4.7.1
  • libfrrzmq0 >= 7.4-150300.4.7.1
  • libmlag_pb0 >= 7.4-150300.4.7.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP4-2022-3246
openSUSE Leap 15.3
  • frr >= 7.4-150300.4.7.1
  • frr-devel >= 7.4-150300.4.7.1
  • libfrr0 >= 7.4-150300.4.7.1
  • libfrr_pb0 >= 7.4-150300.4.7.1
  • libfrrcares0 >= 7.4-150300.4.7.1
  • libfrrfpm_pb0 >= 7.4-150300.4.7.1
  • libfrrgrpc_pb0 >= 7.4-150300.4.7.1
  • libfrrospfapiclient0 >= 7.4-150300.4.7.1
  • libfrrsnmp0 >= 7.4-150300.4.7.1
  • libfrrzmq0 >= 7.4-150300.4.7.1
  • libmlag_pb0 >= 7.4-150300.4.7.1
Patchnames:
openSUSE-SLE-15.3-2022-3246
openSUSE Leap 15.4
  • frr >= 7.4-150300.4.7.1
  • frr-devel >= 7.4-150300.4.7.1
  • libfrr0 >= 7.4-150300.4.7.1
  • libfrr_pb0 >= 7.4-150300.4.7.1
  • libfrrcares0 >= 7.4-150300.4.7.1
  • libfrrfpm_pb0 >= 7.4-150300.4.7.1
  • libfrrgrpc_pb0 >= 7.4-150300.4.7.1
  • libfrrospfapiclient0 >= 7.4-150300.4.7.1
  • libfrrsnmp0 >= 7.4-150300.4.7.1
  • libfrrzmq0 >= 7.4-150300.4.7.1
  • libmlag_pb0 >= 7.4-150300.4.7.1
Patchnames:
openSUSE-SLE-15.4-2022-3246
openSUSE Tumbleweed
  • frr >= 8.1-5.1
  • frr-devel >= 8.1-5.1
  • libfrr0 >= 8.1-5.1
  • libfrr_pb0 >= 8.1-5.1
  • libfrrcares0 >= 8.1-5.1
  • libfrrfpm_pb0 >= 8.1-5.1
  • libfrrospfapiclient0 >= 8.1-5.1
  • libfrrsnmp0 >= 8.1-5.1
  • libfrrzmq0 >= 8.1-5.1
  • libmlag_pb0 >= 8.1-5.1
Patchnames:
openSUSE Tumbleweed GA frr-8.1-5.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Enterprise Storage 7.1 frr Released
SUSE Linux Enterprise High Performance Computing 15 SP3 frr Released
SUSE Linux Enterprise High Performance Computing 15 SP4 frr Released
SUSE Linux Enterprise Module for Server Applications 15 SP3 frr Released
SUSE Linux Enterprise Module for Server Applications 15 SP4 frr Released
SUSE Linux Enterprise Real Time 15 SP3 frr Affected
SUSE Linux Enterprise Server 15 SP3 frr Released
SUSE Linux Enterprise Server 15 SP4 frr Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 frr Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 frr Released
SUSE Manager Proxy 4.2 frr Released
SUSE Manager Proxy 4.3 frr Released
SUSE Manager Retail Branch Server 4.2 frr Released
SUSE Manager Retail Branch Server 4.3 frr Released
SUSE Manager Server 4.2 frr Released
SUSE Manager Server 4.3 frr Released


SUSE Timeline for this CVE

CVE page created: Mon Aug 1 12:30:13 2022
CVE page last modified: Thu Dec 1 00:39:15 2022